SplashScreen (install4j API)
Description: declaration: package: com.install4j.api.launcher, class: SplashScreen

Package com.install4j.api.launcher

# Class SplashScreen

java.lang.Object
com.install4j.api.launcher.SplashScreen

public class SplashScreen extends Object

This class allows you to control the splash screen of an install4j launcher from your Java code.

In order to use this class, please include `resource/i4jruntime.jar` from your install4j installation into your class path. You do not need to distribute this file along with your application, install4j will do this automatically for you.

To disable the splash screen from the command line on Windows, `-J-splash:none` can be passed to the launcher executable. Other forms of the `-splash` argument that work with the standard Java launcher are not supported by install4j launchers.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `SplashScreen.ConnectionException`
  The exception thrown by methods of the `SplashScreen` class to indicate that a splash screen operation was not successful.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `hide()`
  Programmatically hide the splash screen.
  `static void`
  `writeMessage(String message)`
  Update the status text line of the splash screen with a different message.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### writeMessage

    public static void writeMessage(String message) throws SplashScreen.ConnectionException
    Update the status text line of the splash screen with a different message.
    Parameters:
      `message` - the new text.
    Throws:
      `SplashScreen.ConnectionException` - if there is a communication problem

  - ### hide

    public static void hide() throws SplashScreen.ConnectionException
    Programmatically hide the splash screen. By default, the splash screen will disappear when the first window is shown.
    Throws:
      `SplashScreen.ConnectionException` - if there is a communication problem